#!/bin/sh
source /etc/conf.d/vdr
source /etc/profile
#set -x

sed -i /etc/freevo/local_conf.py -e "s/SKIN_XML_FILE.*/SKIN_XML_FILE = '$FREEVO_SKIN'/" 
sed -i /etc/freevo/local_conf.py -e "s/.*OSD_OVERSCAN_X.*/OSD_OVERSCAN_X = $FREEVO_OSDX/"
sed -i /etc/freevo/local_conf.py -e "s/.*OSD_OVERSCAN_Y.*/OSD_OVERSCAN_Y = $FREEVO_OSDY/"
sed -i /etc/freevo/local_conf.py -e "s/.*IMAGEVIEWER_DURATION.*/IMAGEVIEWER_DURATION = $FREEVO_IMAGEDURATION/"
sed -i /etc/freevo/local_conf.py -e "s/^DEFAULT_VOLUME.*/DEFAULT_VOLUME = $ACT_MASTERVOL/"

FXP="/usr/lib/python2.4/site-packages/freevo/video/plugins/xine.py"
if [ "$FREEVO_DVD" = "Xine" ] ; then
   sed -i $FXP -e "s/return 0 # g2v_xine/return 2 # g2v_xine/"
else
   sed -i $FXP -e "s/return 2 # g2v_xine/return 0 # g2v_xine/"
fi   
#plugin.remove('rom_drives.autostart')
if [ "$DISC_AUTORUN" = "1" ] ; then
   sed -i /etc/freevo/local_conf.py -e "s/.*'rom_drives.autostart'.*/#plugin.remove('rom_drives.autostart')/"
else
   sed -i /etc/freevo/local_conf.py -e "s/.*'rom_drives.autostart'.*/plugin.remove('rom_drives.autostart')/"
fi   
if [ "$SCREEN_RESOLUTION" != "" -a "$SCREEN_RESOLUTION" != "Other" ] ; then
   sed -i /etc/freevo/freevo.conf -e "s/geometry .*/geometry = $SCREEN_RESOLUTION/"
fi   
if [ "$FREEVO_SHOW_CDSTATUS" = "1" ] ; then
   sed -i /etc/freevo/local_conf.py -e "s/^#plugin.activate('idlebar.cdstatus'/plugin.activate('idlebar.cdstatus'/"
else
   sed -i /etc/freevo/local_conf.py -e "s/^plugin.activate('idlebar.cdstatus'/#plugin.activate('idlebar.cdstatus'/"
fi
if [ "$FREEVO_SHOW_CLOCK" = "1" ] ; then
#   sed -i /etc/freevo/local_conf.py -e "s/^#plugin.activate('idlebar.clock'/plugin.activate('idlebar.clock'/"
   sed -i /etc/freevo/local_conf.py -e "s/^CLOCK_FORMAT = '%A/#CLOCK_FORMAT = '%A/"
   sed -i /etc/freevo/local_conf.py -e "s/^#CLOCK_FORMAT = '%a/CLOCK_FORMAT = '%a/"
else
#   sed -i /etc/freevo/local_conf.py -e "s/^plugin.activate('idlebar.clock'/#plugin.activate('idlebar.clock'/"
   sed -i /etc/freevo/local_conf.py -e "s/^#CLOCK_FORMAT = '%A/CLOCK_FORMAT = '%A/"
   sed -i /etc/freevo/local_conf.py -e "s/^CLOCK_FORMAT = '%a/#CLOCK_FORMAT = '%a/"   
fi
if [ "$FREEVO_SHOW_DISKFREE" = "1" ] ; then
   sed -i /etc/freevo/local_conf.py -e "s/^#plugin.activate('idlebar.diskfree'/plugin.activate('idlebar.diskfree'/"
else
   sed -i /etc/freevo/local_conf.py -e "s/^plugin.activate('idlebar.diskfree'/#plugin.activate('idlebar.diskfree'/"
fi
if [ "$FREEVO_SHOW_PROCSTAT" = "1" ] ; then
   sed -i /etc/freevo/local_conf.py -e "s/^#plugin.activate('idlebar.system.procstats'/plugin.activate('idlebar.system.procstats'/"
else
   sed -i /etc/freevo/local_conf.py -e "s/^plugin.activate('idlebar.system.procstats'/#plugin.activate('idlebar.system.procstats'/"
fi

# Starting freevo
/usr/bin/freevo -fs
/etc/init.d/gui stop
