#!/bin/sh
# Admin.conf erweitern
sh /_config/bin/g2v_updadminconf.sh

GS="$(rc-status default|grep "gui.*started")"
[ "$GS" != "" ] && /etc/init.d/gui stop
VS="$(pidof vdr)"
[ "$VS" != "" ] && /etc/init.d/vdr stop

#depscan.sh
sed -i /etc/vdr/commands.conf -e "s/vdradmind/vdradmin/g"
sed -i /etc/conf.d/vdr.* -e "s/_EXTAROPTS/_EXTRAOPTS/"

# e100 blacklisten
sed -i /_config/bin/hibernate.sh -e "s/ lirc_serial\"/ lirc_serial e100\"/"

# Activy xorg.conf und keyboard setzen falls noetig
sh /etc/vdr/plugins/admin/cfggui.sh
sh /etc/vdr/plugins/admin/cfglang.sh

# modules.d -> modprobe.d Aenderungen
sh /_config/update/g2v_upmod.sh

# alsa problem mit STR
sh /_config/bin/alsaconf_auto.sh

# graphlcd plugin
/_config/bin/instplg.sh ftp://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/distfiles/vdr-graphlcd-0.1.5.tgz
 
# alcd plugin
/_config/bin/instplg.sh /_config/update/vdr-alcd-1.2.2.tgz

dos2unix /_config/install/LCDd.conf

# waiting for streamdev only if server is defined
if [ "$(patch -f --dry-run /etc/vdr/runvdr < /_config/update/patches/up03.runvdr.diff | grep "FAILED")" = "" ] ; then
   patch -f /etc/vdr/runvdr < /_config/update/patches/up03.runvdr.diff
fi   

# patch for freevo titlebar
if [ "$(patch -f --dry-run /etc/freevo/local_conf.py < /_config/update/patches/up03.local_conf.py.diff | grep "FAILED")" = "" ] ; then
   patch -f /etc/freevo/local_conf.py < /_config/update/patches/up03.local_conf.py.diff
fi   

# patch for freevo queueing command keys
cd /usr/lib/python2.4/site-packages/freevo/
if [ "$(patch --dry-run -f -p0 < /_config/update/patches/up03.freevo-suspend.diff | grep FAILED)" = "" ] ; then
   patch -f -p 0 < /_config/update/patches/up03.freevo-suspend.diff
fi   

# patch for new weather location string
PW="$(grep "^PLUGIN_WEATHER_LOCATIONS" /etc/freevo/local_conf.py)"
if [ "$PW" != "" ] ; then
   if [ "$(echo $PW | grep " '[A-Z][A-Z]', ")" = "" ] ; then
      NPW="$(echo $PW |sed -e "s/ 1, / 1, 'DE', /g"| tr "\"" "'")"
      sed -i /etc/freevo/local_conf.py -e "s/PLUGIN_WEATHER_LOCATIONS.*/$NPW/"
   fi      
fi   

# Repacker diff
cd /usr/local/src/VDR
if [ "$(patch -f --dry-run < /_config/update/patches/up03.config.c.diff | grep FAILED)" = "" ] ; then
   patch -f < /_config/update/patches/up03.config.c.diff | sed -e "/FAILED/d"
   make
fi
[ "$VS" != "" ] && /etc/init.d/vdr start
[ "$GS" != "" ] && /etc/init.d/gui start
